<?php
/**************************************************
  Coppermine 1.5.x Plugin - Geo IP Lookup (geoip)
  *************************************************
  Copyright (c) 2010 Joachim Müller
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
  ********************************************
  $HeadURL: https://coppermine.svn.sourceforge.net/svnroot/coppermine/branches/cpg1.5.x/plugins/geoip/configuration.php $
  $Revision: 7500 $
  $LastChangedBy: gaugau $
  $Date: 2010-05-04 18:32:50 +0200 (Di, 04 Mai 2010) $
  **************************************************/

if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}
$geoip_icon_array['announcement'] = cpg_fetch_icon('announcement', 1);
$name = 'Geo IP Lookup';
$description = 'Looks up the countries to the IP addresses your visitors come from and displays a flag icon next to each IP address (admin-only feature).';
$author = 'Joachim Müller';
$version = '1.0';
$plugin_cpg_version = array('min' => '1.5.4');
$install_info = 'This plugin is using the free API and database from <a href="http://maxmind.com/" rel="external" class="external">maxmind.com</a> that has been released under GNU GPL. The lookup is not 100% accurate, but should work for most setups. The lookup will of course burn additional CPU cycles, so don\'t install this plugin it if you don\'t have the needed resources available on your server.<br />&nbsp;<br /><a href="http://forum.coppermine-gallery.net/index.php/topic,64820.0.html" rel="external" class="admin_menu">' . $geoip_icon_array['announcement'] . 'Announcement thread</a>'; 
$extra_info .= $install_info;




?>